/* IRC setup procedure 

This can be run separately, or is automatically called by irc.cmd
if irc2.ini doesn't exist.

Copyright 1994 V. Phaniraj -- phaniraj@badlands.nodak.edu

*/

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysloadFuncs' 
call SysLoadFuncs                                         

Call SysCls

  irc_location=SysSearchPath('PATH','irc.cmd') 
  x=pos('irc.cmd',irc_location)
  irc_inifile=substr(irc_location,1,x-1)'irc2.ini'

   rc = SysFileSearch('DEVICE',irc_inifile,'file')             
   if rc = 0 then do
      rc=SysIni(irc_inifile,'irc/2','ALL:','names')
       do i = 1 to names.0
         val=SysIni(irc_inifile,'irc/2',names.i)
         interpret names.i '= val' 
       end
   end

if Def_Nick = "DEF_NICK" then do 
 Answer=''
   Do While Answer = ''
     Say 'Enter the nickname you will use on irc'
     Parse Pull Answer .
   End
 IrcNick=Answer
 end
else do
   Say 'Enter the nickname you will use on irc, default is' Def_Nick
   Parse Pull Answer .
   if Answer <> '' then IrcNick=Answer
                   else IrcNick=Def_Nick
end

if Def_User = "DEF_USER" then do 
 Answer=''
  Do While Answer = ''
   Say 'Enter the username you will use on irc'
   Parse Pull Answer .
  End
  User=Answer
 end
else do
   Say 'Enter the username you will use on irc, default is' Def_User
   Parse Pull Answer .
   if Answer <> '' then User=Answer
                   else User=Def_User
end

if Def_Home="DEF_HOME" then Home=directory()
                       else Home=Def_Home
  Say 'Enter the home directory for irc/2 ( default is' Home ')'
  Parse Pull Answer .
if Answer <> '' then Home=Answer
IrcLib=Home
Path='.;'Home';'Home'\irc;'Irclib';'irclib'\script'

if Def_Name="DEF_NAME" then IrcName = 'User of IRC/2'
                       else IrcName = Def_Name
  Say 'Enter the IRC Name for irc/2 ( default is' IrcName ' )'
  Parse Pull Answer
if Answer <> '' then IrcName=Answer


Say 'Enter startup parameters for irc/2 ( for example -c #os/2 automatically'
Say 'joins the os/2 channel. Default is no startup parameters.' 
Parse Pull Def_Parms
if Def_Parms = '' then Def_Parms=' '

server.1='irc.colorado.edu:6667'
server.2='alfred1.u.washington.edu'
server.3='poe.acc.virginia.edu' 
server.4='irc.colorado.edu:6666'
server.5='irc-2.mit.edu:6665'
server.6='csz.bu.edu'
server.7='omega.tamu.edu'    
server.8='irc.math.ufl.edu' 
server.9='weiss.che.utexas.edu' 
server.10='irc.uiuc.edu'
server.11='copper.ucs.indiana.edu:6667'
server.12='irc.math.byu.edu:6667'
server.13='dewey.cc.utexas.edu'
server.14='irc.funet.fi'
server.15='jello.qabc.uq.oz.au'
server.16='messua.informatik.rwth-aachen.de'
server.17='noc.belwue.de'
server.18='cuisund.unige.ch'
server.19='biscuit.mmws.astem.or.jp'
server.20='irc.cs.hut.fi'
server.21='irc.nada.kth.se'
server.22='Select another server'
server.0=22

   i = 1	
   j = 1
   Call SysCls
   do j = 1 to server.0 by 2
     k = j + 1
     tempstr='('j')' Left(Strip(Right(server.j,79)),33)
if k <= server.0 & j <=10 then tempstr='('j')' Left(Strip(Right(server.j,79)),33) '('k')' Left(Strip(Right(server.k,79)),33)
if k <= server.0 & j > 10 then tempstr='('j')' Left(Strip(Right(server.j,79)),32) '('k')' Left(Strip(Right(server.k,79)),33)
     say tempstr
   end
say ' '
say 'Move the cursor to the desired server and hit return'

   pos = SysCurPos(0,0)
   rowmax=(server.0+1)/2 -1

    Do Forever
	inkey = 0
	parse value SysCurPos() with row col
	Do While inkey=224 | inkey=0      /* Throw away modIfier key */
	    Parse Value SysGetKey('NOECHO') With key
	    inkey = c2d(key)
	End
	select
	    When inkey=72 | inkey=75 | inkey=77 | inkey =80 |inkey =9
		Then Do
			If inkey = 72 then row = row - 1
			If inkey = 75 then col = col - 39
			If inkey = 77 then col = col + 39
			If inkey = 80 then row = row + 1
			If inkey = 9  then col = col + 39
			if row < 0 then row = 0
			if row > rowmax then row = 0
			if col < 0 then col = 40
			if col > 50 then col = 0
			pos=sysCurPos(row,col)
		End
	    When inkey=13                          /* CR */
		Then
		Do
		    found=1
		    pos=syscurpos(row,col)
		    i = row*2 + 1
		    if col > 10 then i = i + 1
		    Leave
		End
               Otherwise
	End
End

Answer=i



If Answer = Server.0 then do
pos=SysCurPos(row+3,0)
 Answer=''
   Do While Answer = ''
    Say 'Enter the name of the server'
    Parse Pull Answer .
   End
 IrcServer=Answer
 end
else do
 pos=SysCurPos(4+Server.0/2,0)
 IrcServer=Server.Answer
end


Say 'The Irc Nickname selected is:    ' IrcNick
Say 'The Irc Username selected is:    ' User
Say 'The Irc Name     selected is:    ' IrcName
Say 'The Irc Server   selected is:    ' IrcServer
Say 'The home directory for irc/2 is: ' Home
Say 'The startup parameters for irc/2 are: ' Def_Parms

irc_location=SysSearchPath('PATH','irc.cmd') 
x=pos('irc.cmd',irc_location)
irc_inifile=substr(irc_location,1,x-1)'irc2.ini'

rc = SysIni(irc_inifile,'irc/2','Def_Nick',IrcNick)
rc = SysIni(irc_inifile,'irc/2','Def_Server',IrcServer)
rc = SysIni(irc_inifile,'irc/2','Def_Name',IrcName)
rc = SysIni(irc_inifile,'irc/2','Def_User',User)
rc = SysIni(irc_inifile,'irc/2','Def_Home',Home)
rc = SysIni(irc_inifile,'irc/2','Def_Lib',Home)
rc = SysIni(irc_inifile,'irc/2','Def_Path',Path)
rc = SysIni(irc_inifile,'irc/2','Def_Parms',Def_Parms)


 setup='objectid=<WP_Irc2>'
 rc=  SysCreateObject('WPProgram','Irc','<WP_DESKTOP>',Setup)    
 setup='ICONFILE='Home'\irc2.ico'
 rc=  SysSetObjectData('<WP_Irc2>',Setup)    

 setup='EXENAME='Home'\irc.cmd'
 rc=  SysSetObjectData('<WP_Irc2>',Setup)    
 setup='startupdir='Home '' 
 rc=  SysSetObjectData('<WP_Irc2>',Setup)    
